openal_listener_get
openal_source_create
Fonctions OpenAL
PHP Manual

# openal_listener_set

(PECL openal >= 0.1.0)

openal_listener_set — Définie une propriété d'auditeur

### Description

bool openal_listener_set ( int `$property` , mixed `$setting` )

### Liste de paramètres

`property`

  La propriété à définir, une parmi celles-ci : `AL_GAIN` ( float ), `AL_POSITION` (array( float , float , float )), `AL_VELOCITY` (array( float , float , float )) et `AL_ORIENTATION` (array( float , float , float )).

`setting`

  La valeur à définir, soit un nombre décimal, soit un tableau de nombres à virgule flottante appropriés.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Voir aussi

- openal_listener_get() - Récupère une propriété d'auditeur

openal_listener_get
openal_source_create
Fonctions OpenAL
PHP Manual